Вход | Регистрация

1С:Предприятие :: 1С:Предприятие 8 общая

Расширения конфигурации и режимы совместимости платформы. Что делать?

Расширения конфигурации и режимы совместимости платформы. Что делать?
Я
   formista2000
 
26.09.18 - 10:54
Предыстория: имелось УТ 11 + 1С:CRM какой-то предыдущей версии, для которой были сделаны доработки в виде расширений. При этом, для работы расширений, платформа была обновлена с 8.3.10 на 8.3.11,поскольку расширения затрагивали структуру данных. Также у конфигурации был изменен режим совместимости в соответствии с версией платформы. Вроде всё работало.

История: обновились до версии УТ 11.4.5.86 + 1С:CRM 3.0.11.4 версия продукта 3.0.11.12. А эта дрянь оказалась дописана таким образом, что перед запуском программы проверяет версию платформы так, чтобы она была бы именно 8.3.10. Иначе запускаться отказывается. Видимо, это не спроста! Поэтому возникли вопросы:
1. Какие цели преследовал разработчик (Рарус) при ограничении версии платформы?
2. Какие последствия могут возникнуть, если всё таки обойти этот контроль и установить режим совместимости с версией 8.3.11?
3. Как можно обойти данную ситуацию, не внося изменений в конфигурацию?
Заранее спасибо!
 
 
   Вафель
 
1 - 26.09.18 - 10:55
спроси у раруса

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует